%define iconname %{name}.png
%define build_tainted	0
%define subrel 1

%if "%{distro_section}" == "tainted"
%global build_tainted	1
%endif

Name:		audiokonverter
Version:	5.9.1
Release:	%mkrel 2
Summary:	A KDE audio converter service menu for Dolphin
Group:		Sound
License:	GPLv2
URL:		http://www.kde-apps.org/content/show.php?content=12608

Source0:	http://www.kde-apps.org/CONTENT/content-files/12608-%{name}-%{version}.tar.bz2

BuildRequires:	kde4-macros

Requires:	dolphin
Requires:	mplayer flac wavpack
Requires:	id3lib id3v2 vorbis-tools

%if %{build_tainted}
Requires:	lame
Requires:	faad2
%endif

BuildArch:	noarch

Patch0:		audiokonverter-nofaac.patch
Patch1:		audiokonverter-free.patch

%description
audiokonverter is a small utility to easily convert from OGG, MP3,
AAC, M4A, FLAC, WMA, RealAudio, Musepack, Wavpack, WAV and movies to
MP3, OGG, M4A, WAV and FLAC in Dolphin and Konqueror by right-clicking
on them.

%if %{build_tainted}
This package is in the tainted section because it contains software that
supports codecs that may be covered by software patents.
%endif

%prep
%setup -q -n %{name}-%{version}

%if %{build_tainted}
%patch0 -p0 -b .audiokonverter-nofaac.patch
%else
%patch1 -p0 -b .audiokonverter-free.patch
%endif

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%_kde_services/ServiceMenus
install -m 644 *4.desktop %{buildroot}%_kde_services/ServiceMenus
mkdir -p %{buildroot}%_kde_appsdir/dolphin/servicemenus
install -m 644 *4.desktop %{buildroot}%_kde_appsdir/dolphin/servicemenus
mkdir -p %{buildroot}%_kde_bindir
install -m 755 anytowav4 audioconvert4 movie2sound4 oggdrop-lx %{buildroot}%_kde_bindir

%files
%doc README Changelog
%_kde_bindir/*
%_kde_services/ServiceMenus/*.desktop
%_kde_appsdir/dolphin/servicemenus/*.desktop



%changelog

* Mon Sep 17 2012 shlomif <shlomif> 5.9.1-2.1.mga2
+ Revision: 294843
- Add missing requires on id3v2. subrel set to 1.
- Remove trailing space.
- Bump release 5.9.1-2 to fix bug #6146 .

* Sun Oct 02 2011 wally <wally> 5.9.1-1.mga2
+ Revision: 150957
- fix requires (require faad2 only in tainted build)

* Sat Oct 01 2011 shlomif <shlomif> 5.9.1-0.mga2.tainted
+ Revision: 150765
- New version 5.9.1 - thanks to barjac

  + obgr_seneca <obgr_seneca>
    - imported package audiokonverter


* Thu Oct 07 2010 Anssi Hannula <anssi@mandriva.org> 5.9-1.3mdv2010.1
+ Revision: 584051
- ship KDE4 scripts instead of KDE3 ones (Philippe Didier)

* Wed Oct 06 2010 Anssi Hannula <anssi@mandriva.org> 5.9-1.2mdv2010.1
+ Revision: 583883
- plf: fix distsuffix
- add --with plf build option and add reasoning

* Sat Nov 28 2009 Funda Wang <fwang@mandriva.org> 5.9-1mdv2010.1
+ Revision: 470985
- New version 5.9

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 5.8-0.beta.2mdv2010.0
+ Revision: 436682
- rebuild

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 5.8-0.beta.1mdv2009.1
+ Revision: 292122
- New version 5.8 beta (support kde4 environment)

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 5.5.1-3mdv2009.0
+ Revision: 226200
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Adam Williamson <awilliamson@mandriva.org> 5.5.1-2mdv2008.1
+ Revision: 138986
- fix #34694 (x-wavpack.desktop is in kdelibs now)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 5.5.1-1mdv2008.0
+ Revision: 78907
- 5.5.1


* Thu Dec 07 2006 Lenny Cartier <lenny@mandriva.com> 5.4.3a-1mdv2007.1
+ Revision: 92049
- Import audiokonverter

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 5.4.3a-1mdv2007.0
- 5.4.3a
- remove useless info from description
- wipe out buildroot in %%install, not %%prep
- package is GPL, drop 'COPYING'

* Sat May 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 5.4.2-2mdk
- 5.4.2
- Rediff Patch 0

* Sun Mar 19 2006 Austin Acton <austin@mandriva.org> 5.3-1mdk
- from Jerome Martin <jerome.f.martin@free.fr>
- some minor tidying

